package fr.doap.test;

import fr.doap.llog.*;

public class Test {
	
	public static void main(String[] args) {
		L.l(1, null, "test", "Message sans format");
		test1();
		testDict();
		testFilter();
	}
	
	protected static void test1() {
		L.l(1, null, "test", "Message avec format: %s", "toto");
	}
	
	protected static void testDict() {
		Dict<String> lD = new Dict<>();
		L.i("Empty: %s", lD.toString());
		lD.put("fr.doap", "fr_doap");
		L.i("1: %s", lD.toString());
		lD.put("com.doap.fr", "com_doap_fr");
		L.i("2: %s", lD.toString());
		lD.put("com", "com");
		L.i("3: %s", lD.toString());
		lD.put("fr.doap.llog", "fr_doap_llog");
		L.i("4: %s", lD.toString());
		lD.put("", "ROOT");
		L.i("5: %s", lD.toString());
		lD.put("com.doap.fr", "com_doap_fr+++");
		L.i("6: %s", lD.toString());
		L.i("fr.doap.llog: %s", lD.get("fr.doap.llog"));
		L.i("fr: %s", lD.get("fr"));
		L.i("com.doap.fr.toto: %s", lD.get("com.doap.fr.toto"));
		L.i("com.bibi: %s", lD.get("com.bibi"));
		L.i("org.tata: %s", lD.get("org.tata"));
		L.i("com.doap: %s", lD.get("com.doap"));
		L.i("com.doap.bibi: %s", lD.get("com.doap.bibi"));
	}
	
	protected static void testFilter() {
		L.e("Always show with ST");
		L.i("#tag Always show");
		L.d("Always %s", "toto");
		L.t("Not showing");
		L.c(new Throwable("Thow here"), "#config Finished");
	}
}
